#
# spec file for package python-django-grappelli
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-grappelli
Version:        2.6.4
Release:        4.1
Url:            http://django-grappelli.readthedocs.org/
Summary:        A jazzy skin for the Django Admin-Interface
License:        BSD-2-Clause and LGPL-2.1+
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/d/django-grappelli/django-grappelli-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-django
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A jazzy skin for the Django Admin-Interface (only available for standard-compliant browsers).

%prep
%setup -q -n django-grappelli-%{version}
find -name *.orig -o -name .\* -type f -delete
# drop executable bit
find -type f -executable -print0 | xargs -0 chmod -x

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{python_sitelib}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst
%{python_sitelib}/*

%changelog
* Sun May  3 2015 benoit.monin@gmx.fr
- update to version 2.6.4:
  * Fixed: Prepopulated fields with inlines.
  * Fixed: Hide row if only hidden fields are given.
  * Fixed: Background with pulldown handler.
  * Fixed: Python to JSON Serialization with autocompletes with
    non-automatic id.
  * Fixed: Handled LookupError in RelatedLookup view with wrong
    app_label/model_name.
  * Fixed: Add link with changelist.
  * Fixed: Error when constance needs a hidden field.
  * Fixed: ID generation in the dashboard template app_list.html.
  * Fixed: Breadcrumb links in the template change_password.html.
  * Fixed: Use get_username to retrieve username, support custom
    user models.
  * Fixed: Sorting with dashboard when verbose_name_plural is not
    given.
  * Fixed: Removed site dependencies for admin doc views.
- additional changes from version 2.6.3:
  * New: Triggering change when input is changed in autocomplete.
  * New: Blocks header, navigation, user-tools and
    context-navigation with base.html.
  * Fixed: Scrollbars with M2M (with some browsers).
  * Improved: Removed note about order of STATICFILES_FINDERS from
    the docs.
- additional changes from version 2.6.2:
  * Fixed: Tests with custom User model.
  * Fixed: Removed _to_field from generic lookups.
  * Fixed: Used user.pk instead of user.id with dashboard module.
  * Fixed: Unique appconfig with grappelli.dashboard.
  * Improved: Grappelli admin title is used for site title as well
    (if given).
  * Improved: Added block branding to base.html.
- additional changes from version 2.6.1:
  * First release of Grappelli which is compatible with Django 1.7
- update project URL
- remove executable bit from text files
- delete sed call to fix end of line: not needed anymore
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 2.4.6
  + Add compatibility with Django 1.4/1.5
- Use download url as source
* Fri Feb 22 2013 alexandre@exatati.com.br
- Update to 2.4.4:
  * New: Added Czech translation for TinyMCE.
  * Fixed: set correct case-sensitive dependency for Django in
    setup.py.
  * Fixed: Make setup.py work with Python 3.
  * Fixed: Breadcrumbs with delete_confirmation.
  * Fixed: Showing help-text with empty FK autocompletes.
  * Fixed: Custom USERNAME_FIELD names for Django 1.5.
  * Fixed: Updated grappelli/urls to support Django 1.5.
  * Fixed: Added has_usable_password.
  * Fixed: Distinct results with Autocompletes.
  * Fixed: Fix RelatedLookup when called with empty string as
    object_id.
  * Fixed: 2 clicks to remove items with m2m–autocompletes.
  * Fixed: Error with adding values to hidden–fields with
    autocomplets (after using the pop up window).
  * Fixed: Autocomplete generic lookups when object_id is not an
    integer field.
  * Improved: App titles are now translatable with the dashboards
    app list.
  * Improved: Rewrites views into class-based views.
  * Improved: Better messages with autocompletes and no results.
  * Improved: Removed Django as a requirement with the setup file.
  * Improved: Replaced p.grp-readonly with div.grp-readonly (in
    order to show contents with mark_safe).
* Fri Nov  9 2012 alexandre@exatati.com.br
- Update to 2.4.3:
  * Fixed: i18n of the Save-Button.
  * Fixed: ``related_label`` used for autocomplete list.
  * Fixed: help_text with related–lookups and autocomplete lookups
    (help_text with M2M is not possible because of a django–bug).
  * Fixed: Bug with model does not exist and m2m lookups.
  * Fixed: Calendar button with Chrome and zooming.
  * Improved: Error messages on Change–List are now below form
    fields (not above).
  * Improved: Design of the Login screen.
  * Improved: Cloning inlines now works with django-autocomplete-light.
  * Added: Password reset (on login page).
  * New: New Login screen.
  * New: Support for Django 1.5.
* Wed Sep 19 2012 alexandre@exatati.com.br
- Update to 2.4.2:
  * Fixed: Bug with change-permissions on ModelList
    (grappelli.dashboard).
  * Added: Alternative ChangeList Template (with filters on the
    right hand side).
  * Added: Alternative ChangeList Filter Template (displaying filters
    as list/options).
- Aditional changes from 2.4.1:
  * Fixed: Footer buttons in change_form.html do not flow correctly
    when screen width is reduced.
  * Fixed: Breadcrumbs of delete_selected_confirmation.
  * Fixed: Added titles for page-tools (open/close).
  * Fixed: Margins and capfirst for filter labels.
  * Fixed: Delete persmissions with inlines (stacked and tabular).
  * Fixed: Removed double dots for labels with auth- and
    registration-templates.
  * Fixed: Button with TinyMCE AdvLink.
  * Fixed: Timepicker closes with ESC.
  * Fixed: Window width with popups.
  * Added: Compass experimental svg support (for IE9).
  * Added: Reset actions select box with javascript.
  * Added setting ``AUTOCOMPLETE_LIMIT``.
  * Improved: sortables with django file uploads.
  * Improved: HTML is now allowed for object representation with
    related-lookups.
  * Improved: Documentation with using TinyMCE.
* Fri Jul 20 2012 jfunk@funktronics.ca
- Update to 2.4.0:
  * Compatibility with Django 1.4
  * New: Grappelli namespace (grp-) for css-classes.
  * New: Grappelli namespace (grp.jQuery) for jQuery.
  * New: Compass-based CSS
  * New: Added toggle-all with change-form
  * New: DOM-Documentation
  * New: sortable_excludes
  * New: 2 different Changelists (one with sidebar filters).
  * New: Minified Grappelli Javascripts.
  * New: Added support for django-reversion.
  * Changed: Selectors with Inlines in order to update the sortable-field (now also works with File-Fields)
  * Changed: Updated jQuery to 1.7.2
- Add missing LICENSE and README files
- Use fdupes
* Tue Apr  3 2012 alexandre@exatati.com.br
- Update to 2.3.8:
  * TinyMCE Update (3.5b2)
* Mon Feb 27 2012 cfarrell@suse.com
- license update: BSD-2-Clause and LGPL-2.1+
  tinymce is LGPL-2.1+ licensed
* Mon Feb 13 2012 alexandre@exatati.com.br
- Update to 2.3.7:
  * Fixed compatibility issue with Python 2.5.
  * Fixed some translations.
* Fri Feb 10 2012 alexandre@exatati.com.br
- Update to 2.3.6:
  * Fixed issue where autocomplete/related settings could not use tuples.
  * Fixed a bug with toggle all actions on the changlist
  * Fixed a bug with adding dynamic-forms to tabular and stacked inlines
    (which caused the remove-handler to throw an error)
  * Autocompletes: Only do a lookup with generics, if content-type
    is defined.
  * Support for new URL tags, see https://docs.djangoproject.com/en/dev/releases/1.3/#changes-to-url-and-ssi.
  * Fixed a bug with m2m-lookups (return obj.pk instead of obj.id).
  * Fixed a bug with very long filters (hidden behind the footer).
  * Added german and french UI-datepicker.
  * Added support for non-integer IDs with generic relations.
  * Added pre_content and post_content to dashboard.
  * Added inline_classes.
  * Added polish translation for TinyMCE and grappelli contextmenu.
  * Removed ``title_url`` from dashboard-docs (it hasn´t been used
    anyway so far).
* Tue Oct 11 2011 alexandre@exatati.com.br
- Update to 2.3.5:
  - Improved performance for autocomplete lookups (staticmethod
    autocomplete_search_fields is required from now on)
* Thu Sep  8 2011 alexandre@exatati.com.br
- Update to 2.3.4:
  * Moved grappelli to GitHub
  * Fixed a bug with the View on Site link (tabular/stacked inlines)
  * Added a placeholder for inline sortables
  * Fixed a bug with collapse all (stacked inlines)
  * Added autocompletes
  * Updated jQuery (to 1.6.2) and jQueryUI (to 1.8.15)
  * Added error-messages to the login form
  * Fixed a bug with hidden-fields in tabular-inlines
* Wed Jun 29 2011 alexandre@exatati.com.br
- Update to 2.3.3:
  - Documentation update
  - FileBrowser-related updates
  - Fixed a bug with delete-confirmation
  - Removed the js for adding nowrap-class (fixed with the latest
    django-version)
  - Stable sorting for dashboard.ModelList
  - Added collapse-handler to h4 for stacked-inlines
  - Help-text is now available with tabular-inlines
  - Fixed some translation-issues
  - Fixed loading-issues with Chrome
  - Reversed asc-/desc-icons
  - Updated TinyMCE to 3.4.2
* Tue Apr 19 2011 alexandre@exatati.com.br
- Update to 2.3.2 to match Django 1.3;
- Regenerate spec file with py2pack.
* Wed Nov  3 2010 alexandre@exatati.com.br
- Update to 2.2.
* Wed Sep  8 2010 alexandre@exatati.com.br
- Update to 2.1;
- Bzip2 source file;
- Spec file cleaned with spec-cleaner.
* Mon Jan 25 2010 alexandre@exatati.com.br
- Update to 2.0.
* Tue Sep 15 2009 alexandre@exatati.com.br
- Initial package (0.1) for openSUSE.
